Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Mapper
Class Production

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Symbol>
                  Mapper.Production

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Symbol>, java.util.Collection<Symbol>, java.util.List<Symbol>, java.util.RandomAccess

    public class Production

extends java.util.ArrayList<Symbol>

Production extends an ArrayList.

Author:
  EHemberg
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Production()` Creates a new Production
`Production(int newLength)` Creates a new Production with newLength elements.
`Production(Production copy)` Copy constructor; copy all symbols.

Method Summary
`int` | `getMinimumDepth()` Return the minimum mapping depth of this production.
`int` | `getNTSymbols()` Return the number of NTSymbols in the production JByrne also added GE_CODONS to the terminal list.
`boolean` | `getRecursive()` Return the recursive nature of this production.
`void` | `setMinimumDepth(int newMinimumDepth)` Update the minimum mapping depth of this production.
`void` | `setRecursive(boolean newRecursive)` Update the recursive nature of this production.
`java.lang.String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### Production

    public Production(int newLength)

  Creates a new Production with newLength elements.

  Parameters:
    `newLength` - initial length of production

### Production

    public Production()

  Creates a new Production

### Production

    public Production(Production copy)

  Copy constructor; copy all symbols.

  Parameters:
    `copy` - productions to copy

Method Detail

### getRecursive

    public boolean getRecursive()

  Return the recursive nature of this production.

  Returns:
    true if the production is recursive

### setRecursive

    public void setRecursive(boolean newRecursive)

  Update the recursive nature of this production.

  Parameters:
    `newRecursive` - recursiveness of productino

### getMinimumDepth

    public int getMinimumDepth()

  Return the minimum mapping depth of this production. (Number of inputs until output consists of only terminals)

  Returns:
    minimum depth

### setMinimumDepth

    public void setMinimumDepth(int newMinimumDepth)

  Update the minimum mapping depth of this production.

  Parameters:
    `newMinimumDepth` - minimum depth

### getNTSymbols

    public int getNTSymbols()

  Return the number of NTSymbols in the production JByrne also added GE_CODONS to the terminal list.

  Returns:
    number of Non-Terminal symbols in the production

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<Symbol>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD